# Get model catalog

`GET /v1/modelCatalog`, operation `models.GetModelCatalog`

Gets kosem's catalog of providers' models, with their limits and list prices, such as to price a model whose prices kosem doesn't know like one of them.

## Responses

### 200

OK

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `models` | `CatalogModel[]` | Yes | The catalog's models, by provider. |

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.